apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.servicedb.name }}
spec:
  selector:
    matchLabels:
      app: {{ .Values.servicedb.label }}
  strategy:
    type: Recreate
  replicas: 1
  template:
    metadata:
      labels:
        app: {{ .Values.servicedb.label }}
    spec:
      containers:
        - name: {{ .Values.servicedb.name}}
          image: "{{ .Values.imagedb.repository }}:{{ .Values.imagedb.tag }}"
          ports:
            - name: db-listner
              containerPort: {{ .Values.servicedb.port }}
              hostPort: {{ .Values.servicedb.port }}
          env:
            - name: MYSQL_DATABASE
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.global.secrets.metadata.name }}
                  key: MYSQL_DATABASE
            - name: DB_URL
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.global.secrets.metadata.name }}
                  key: DB_URL
            - name: MYSQL_USER
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.global.secrets.metadata.name }}
                  key: MYSQL_USER
            - name: MYSQL_ROOT_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.global.secrets.metadata.name }}
                  key: MYSQL_ROOT_PASSWORD